# Bluewind

[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)

Bluetooth control app for Wahoo Headwind.

## Usage

To run the flask app for development and testing:
```bash
git clone https://teapot.octopusx.de/accidentallycompetent/bluewind.git
cd bluewind
python3 -m venv .venv
source .venv/bin/activate
python3 -m pip install --upgrade pip
pip3 install -r requirements.txt
export FLASK_ADDRESS='<headwind bluetooth address>'
export FLASK_URL='<address and port to bind'
python3 main.py
```

To run the flask app in a permanent deployment:
```bash
git clone https://teapot.octopusx.de/accidentallycompetent/bluewind.git
cd bluewind
python3 -m venv .venv
source .venv/bin/activate
python3 -m pip install --upgrade pip
pip3 install -r requirements.txt
cp default.env .env # modify your .env file!
sudo /bin/bash scripts/install.sh # will install and start+enable the systemd service for you
```

## Support
If you find this open source project useful consider leaving me a tip.

[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/K3K8QVJRK)

If you would like to contribute, feel free to reach out, you can find my contact details at [https://blog.octopusx.de](https://blog.octopusx.de).